org.eclipse.rdf4j.rio.ntriples

## Class NTriplesWriter

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter
  - - org.eclipse.rdf4j.rio.ntriples.NTriplesWriter

- All Implemented Interfaces:
    RDFHandler, RDFWriter
  Direct Known Subclasses:
    NQuadsWriter

      public class NTriplesWriter
      extends AbstractRDFWriter
      implements RDFWriter

  An implementation of the RDFWriter interface that writes RDF documents in N-Triples format. The N-Triples format is defined in this section of the RDF Test Cases document.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Writer` | `writer`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `namespaceTable, statementConsumer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NTriplesWriter(OutputStream out)` Creates a new NTriplesWriter that will write to the supplied OutputStream.
    `NTriplesWriter(Writer writer)` Creates a new NTriplesWriter that will write to the supplied Writer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `consumeStatement(Statement st)` Consume a statement.
    `void` | `endRDF()` Signals the end of the RDF data.
    `RDFFormat` | `getRDFFormat()` Gets the RDF format that this RDFWriter uses.
    `Collection<RioSetting<?>>` | `getSupportedSettings()`
    `void` | `handleComment(String comment)` Handles a comment.
    `void` | `handleNamespace(String prefix, String name)` Handles a namespace declaration/definition.
    `void` | `startRDF()` Signals the start of the RDF data.
    `protected void` | `writeValue(Value value)` Writes the N-Triples representation of the given `Value`.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `checkWritingStarted, getOutputStream, getWriterConfig, handleStatement, isWritingStarted, set, setWriterConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFWriter

      `getOutputStream, getWriterConfig, set, setWriterConfig`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFHandler

      `handleStatement`

- - ### Field Detail

    - #### writer

          protected final Writer writer

  - ### Constructor Detail

    - #### NTriplesWriter

          public NTriplesWriter(OutputStream out)

      Creates a new NTriplesWriter that will write to the supplied OutputStream.
      Parameters:
        `out` - The OutputStream to write the N-Triples document to.

    - #### NTriplesWriter

          public NTriplesWriter(Writer writer)

      Creates a new NTriplesWriter that will write to the supplied Writer.
      Parameters:
        `writer` - The Writer to write the N-Triples document to.

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Description copied from interface: `RDFWriter`
      Gets the RDF format that this RDFWriter uses.
      Specified by:
        `getRDFFormat` in interface `RDFWriter`

    - #### startRDF

          public void startRDF()
                        throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the start of the RDF data. This method is called before any data is reported.
      Specified by:
        `startRDF` in interface `RDFHandler`
      Overrides:
        `startRDF` in class `AbstractRDFWriter`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### endRDF

          public void endRDF()
                      throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the end of the RDF data. This method is called when all data has been reported.
      Specified by:
        `endRDF` in interface `RDFHandler`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleNamespace

          public void handleNamespace(String prefix,
                                      String name)

      Description copied from interface: `RDFHandler`
      Handles a namespace declaration/definition. A namespace declaration associates a (short) prefix string with the namespace's URI. The prefix for default namespaces, which do not have an associated prefix, are represented as empty strings.
      Specified by:
        `handleNamespace` in interface `RDFHandler`
      Overrides:
        `handleNamespace` in class `AbstractRDFWriter`
      Parameters:
        `prefix` - The prefix for the namespace, or an empty string in case of a default namespace.
        `name` - The URI that the prefix maps to.

    - #### consumeStatement

          protected void consumeStatement(Statement st)

      Description copied from class: `AbstractRDFWriter`
      Consume a statement. Extending classes must override this method instead of overriding `AbstractRDFWriter.handleStatement(Statement)` in order to benefit from automatic handling of RDF* conversion or encoding.
      Overrides:
        `consumeStatement` in class `AbstractRDFWriter`
      Parameters:
        `st` - the statement to consume.

    - #### handleComment

          public void handleComment(String comment)
                             throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a comment.
      Specified by:
        `handleComment` in interface `RDFHandler`
      Parameters:
        `comment` - The comment.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### getSupportedSettings

          public final Collection<RioSetting<?>> getSupportedSettings()

      Specified by:
        `getSupportedSettings` in interface `RDFWriter`
      Overrides:
        `getSupportedSettings` in class `AbstractRDFWriter`
      Returns:
        A collection of `RioSetting`s that are supported by this RDFWriter.

    - #### writeValue

          protected void writeValue(Value value)
                             throws IOException

      Writes the N-Triples representation of the given `Value`.
      Parameters:
        `value` - The value to write.
      Throws:
        `IOException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.